Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee.statistics
Class RangeStatisticImpl

    java.lang.Object
      com.sun.appserv.management.j2ee.statistics.StatisticImpl
          com.sun.appserv.management.j2ee.statistics.RangeStatisticImpl

All Implemented Interfaces:
  RangeStatistic, java.io.Serializable, Statistic

Direct Known Subclasses:
  BoundedRangeStatisticImpl

public class RangeStatisticImpl
extends StatisticImpl
implements RangeStatistic, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`RangeStatisticImpl(CompositeData compositeData)`
`RangeStatisticImpl(java.util.Map m)`
`RangeStatisticImpl(MapStatistic s)`
`RangeStatisticImpl(RangeStatistic s)`
`RangeStatisticImpl(java.lang.String name, java.lang.String description, java.lang.String unit, long startTime, long lastSampleTime, long low, long current, long high)`

Method Summary
`long` | `getCurrent()` The current value of this attribute.
`long` | `getHighWaterMark()` The highest value this attribute has held since the beginning of the measurement.
`long` | `getLowWaterMark()` The lowest value this attribute has held since the beginning of the measurement.

Methods inherited from class com.sun.appserv.management.j2ee.statistics.StatisticImpl
`equals, getDescription, getLastSampleTime, getName, getStartTime, getUnit, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### RangeStatisticImpl

    public RangeStatisticImpl(java.lang.String name,
                              java.lang.String description,
                              java.lang.String unit,
                              long startTime,
                              long lastSampleTime,
                              long low,
                              long current,
                              long high)

### RangeStatisticImpl

    public RangeStatisticImpl(CompositeData compositeData)

### RangeStatisticImpl

    public RangeStatisticImpl(java.util.Map m)

### RangeStatisticImpl

    public RangeStatisticImpl(RangeStatistic s)

### RangeStatisticImpl

    public RangeStatisticImpl(MapStatistic s)

Method Detail

### getCurrent

    public long getCurrent()

  Description copied from interface: `RangeStatistic`
  The current value of this attribute.

  Specified by:
    `getCurrent` in interface `RangeStatistic`

### getHighWaterMark

    public long getHighWaterMark()

  Description copied from interface: `RangeStatistic`
  The highest value this attribute has held since the beginning of the measurement.

  Specified by:
    `getHighWaterMark` in interface `RangeStatistic`

### getLowWaterMark

    public long getLowWaterMark()

  Description copied from interface: `RangeStatistic`
  The lowest value this attribute has held since the beginning of the measurement.

  Specified by:
    `getLowWaterMark` in interface `RangeStatistic`

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.